### Method

# Adw MessageDialog format_heading

deprecated: 1.6 since: 1.2

#### Declaration [src]

    void
    adw_message_dialog_format_heading (
      AdwMessageDialog* self,
      const char* format,
      ...
    )

#### Description [src]

Sets the formatted heading of `self`.

See `AdwMessageDialog:heading`.

Available since: 1.2

Deprecated since: 1.6

Use `AdwAlertDialog`.

This method is not directly available to language bindings.

#### Parameters

`format`

  Type: `const char*`

  The formatted string for the heading.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  The parameters to insert into `format`.